import Vue from 'vue';
import { PopupVisibleChangeContext } from './type';
declare const _default: import("vue/types/vue").ExtendedVue<Vue, {
    name: string;
    popper: import("@popperjs/core").Instance;
    timeout: any;
    hasDocumentEvent: boolean;
    visibleState: number;
    mouseInRange: boolean;
    contentClicked: boolean;
    triggerClicked: boolean;
}, {
    createPopper(): void;
    updatePopper(): void;
    updateOverlayStyle(): void;
    destroyPopper(): void;
    handleToggle(context: PopupVisibleChangeContext): void;
    handleOpen(context: Pick<PopupVisibleChangeContext, 'trigger'>): void;
    handleClose(context: Pick<PopupVisibleChangeContext, 'trigger'>): void;
    handleDocumentClick(): void;
    emitPopVisible(visible: boolean, context: PopupVisibleChangeContext): void;
    onMouseEnter(): void;
    onMouseLeave(ev: MouseEvent): void;
    onBeforeEnter(): void;
    onAfterEnter(): void;
    preventClosing(preventing: boolean): void;
}, {
    overlayClasses: any;
    hasTrigger: Record<"click" | "focus" | "hover" | "context-menu", boolean>;
}, {
    expandAnimation: boolean;
    attach: import("../common").AttachNode;
    content: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    default: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    destroyOnClose: boolean;
    disabled: boolean;
    hideEmptyPopup: boolean;
    overlayClassName: import("../common").ClassName;
    overlayStyle: import("../common").Styles | ((triggerElement: HTMLElement, popupElement: HTMLElement) => import("../common").Styles);
    placement: import("./type").PopupPlacement;
    showArrow: boolean;
    trigger: "click" | "focus" | "hover" | "context-menu";
    triggerElement: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    visible: boolean;
    defaultVisible: boolean;
    zIndex: number;
    onScroll: (context: {
        e: WheelEvent;
    }) => void;
    onVisibleChange: (visible: boolean, context: PopupVisibleChangeContext) => void;
}>;
export default _default;
